# iOS SDK v6.9.0 Deprecation Note

### Deprecated APIs

**Deprecated APIs in AmityClient:**

| Method                                       | Remark                                          |
| -------------------------------------------- | ----------------------------------------------- |
| registerDeviceForPushNotification(token:)    | Use registerPushNotification( token:) instead.  |
| unregisterDeviceForPushNotification(userId:) | Use unregisterPushNotification(userId:) instead |
| updateUser(builder:)                         | Use editUser(builder:) instead.                 |

**Deprecated APIs in AmityUserNotificationsManager:**

| Method                                    | Remark                     |
| ----------------------------------------- | -------------------------- |
| getSettingsWithCompletion(\_ completion:) | Use getSettings() instead. |

**Deprecated APIs in AmityPostRepository:**

| Method                                                                                                                                                   | Remark                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| -------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>createPost(builder:, targetId:, targetType:) </p><p>and</p><p>createPost(builder:, targetId:, targetType:, metadata:, mentionees:)</p><p><br><br></p> | <p>Use </p><p>createTextPost(builder:, targetId:, targetType:, metadata:, mentionees:)  ,</p><p><br></p><p>createImagePost(builder:, targetId:, targetType:, metadata:, mentionees:),</p><p><br></p><p>createFilePost(builder:, targetId:, targetType:, metadata:, mentionees:),</p><p><br></p><p>createPollPost(\_ builder:, targetId:, targetType:, metadata:, mentionees:)or</p><p><br></p><p>createLiveStreamPost(\_ builder:, targetId:, targetType:, metadata:, mentionees:) </p><p>instead.</p><p><br></p> |

**Deprecated APIs in AmityCommunityRepository:**

| Method                                                                                        | Remark                                                                                                               |
| --------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| <p>searchMembers(communityId:, keyword:, membershipOptions: , roles:, sortBy:)</p><p><br></p> | Use searchMembers(communityId:, keyword:, membershipOptions: , roles:, sortBy:) in AmityCommunityMembership instead. |
| updateCommunity(id:, options:)                                                                | Use editCommunity(id:, options:) instead.                                                                            |

**Deprecated APIs in AmityChannelRepository:**

| Method                  | Remark                                               |
| ----------------------- | ---------------------------------------------------- |
| updateChannel(builder:) | <p>Use editChannel(builder:) instead.</p><p><br></p> |

**Deprecated APIs in AmitySubChannelRepository:**

| Method                                         | Remark                                                    |
| ---------------------------------------------- | --------------------------------------------------------- |
| updateSubChannel( subchannelId:, updatedName:) | Use editSubChannel( subchannelId:, updatedName:) instead. |

**Deprecated APIs in AmityCommentRepository:**

| Method                              | Remark                                         |
| ----------------------------------- | ---------------------------------------------- |
| updateComment(commentId:, options:) | Use editComment(commentId:, options:) instead. |

**Deprecated APIs in AmityChannelModeration:**

| Method                       | Remark                                   |
| ---------------------------- | ---------------------------------------- |
| addRoles(role:, userIds:)    | Use addRole(role:, userIds:) instead.    |
| removeRoles(role:, userIds:) | Use removeRole(role:, userIds:) instead. |

**Deprecated APIs in AmityMessageRepository:**&#x20;

| Method                                                 | Remark                                                               |
| ------------------------------------------------------ | -------------------------------------------------------------------- |
| editMessage(messageId:, text:, metadata:, mentionees:) | Use editTextMessage(withId:, text:, metadata:, mentionees:) instead. |

**Deprecated APIs in AmityStreamBroadcaster. Use the \`AmityVideoBroadcaster\` class instead:**

| Method                           | Remark                                                                |
| -------------------------------- | --------------------------------------------------------------------- |
| <p>setup(config:)</p><p><br></p> | Use setup(config:) in AmityVideoBroadcaster instead.                  |
| startPublish(existingStreamId:)  | Use startPublish(existingStreamId:) in AmityVideoBroadcaster instead. |
| stopPublish()                    | Use stopPublish() in AmityVideoBroadcaster instead.                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/developers/migration-guides/ios-sdk-v6.0.0-migration-guide/ios-sdk-v6.9.0-deprecation-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
